%{?nodejs_find_provides_and_requires}

%global packagename regex-cache
%global enable_tests 1

Name:		nodejs-regex-cache
Version:	0.4.2
Release:	1%{?dist}
Summary:	Memoize the results of a call to the RegExp constructor

License:	MIT
URL:		https://github.com/jonschlinkert/regex-cache.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# The 0.4.2 release is not tagged in github, so pull from master for now
Source1:	https://raw.githubusercontent.com/jonschlinkert/regex-cache/master/test.js
Source2:	https://raw.githubusercontent.com/jonschlinkert/regex-cache/master/support.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-equal-shallow)
BuildRequires:	npm(is-primitive)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Memoize the results of a call to the RegExp constructor, avoiding repetitious
runtime compilation of the same string and options, resulting in dramatic speed
improvements.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.2-1
- Initial packaging
